Planet
navi homePPSaboutscreenshotsdownloaddevelopmentforum

Changeset 3790 in orxonox.OLD for orxonox/trunk/configure


Ignore:
Timestamp:
Apr 13, 2005, 12:33:07 PM (19 years ago)
Author:
bensch
Message:

orxonox/trunk: merged the textEngine back into the trunk.
merged with command:
svn merge -r 3681:HEAD branches/textEngine/ trunk/

conflicts in:
world.cc/h orxonox.cc NEWS
changed in favor of the trunk

File:
1 edited

Legend:

Unmodified
Added
Removed
  • orxonox/trunk/configure

    r3789 r3790  
    42054205echo "mingw-WINDOWS detected"
    42064206
     4207CPPFLAGS="-I/usr/include/SDL -I/mingw/include/SDL"
     4208
    42074209    mingw="yes"
    42084210    MSBITFIELDS="-mms-bitfields"
     
    48114813# checking for SDL-headers
    48124814
    4813 for ac_header in SDL/SDL.h
     4815for ac_header in SDL.h
    48144816do
    48154817as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    51185120 Linux="yes"
    51195121
    5120 CPPFLAGS="-I/usr/X11R6/include"
     5122CPPFLAGS="-I/usr/X11R6/include -I/usr/include/SDL"
    51215123LDFLAGS="-L/usr/lib/opengl/xorg-x11/lib -L/usr/Mesa-6.0.1/lib -L/usr/X11R6/lib $LDFLAGS"
    51225124# checking gl header
     
    55915593# checking for SDL-headers
    55925594
    5593 for ac_header in SDL/SDL.h
     5595for ac_header in SDL.h
    55945596do
    55955597as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    61806182###################################
    61816183
     6184#---------#
     6185# SDL_ttf #
     6186#---------#
     6187# checking for SDL_ttf-headers
     6188
     6189for ac_header in SDL_ttf.h
     6190do
     6191as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     6192if eval "test \"\${$as_ac_Header+set}\" = set"; then
     6193  echo "$as_me:$LINENO: checking for $ac_header" >&5
     6194echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     6195if eval "test \"\${$as_ac_Header+set}\" = set"; then
     6196  echo $ECHO_N "(cached) $ECHO_C" >&6
     6197fi
     6198echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     6199echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     6200else
     6201  # Is the header compilable?
     6202echo "$as_me:$LINENO: checking $ac_header usability" >&5
     6203echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     6204cat >conftest.$ac_ext <<_ACEOF
     6205/* confdefs.h.  */
     6206_ACEOF
     6207cat confdefs.h >>conftest.$ac_ext
     6208cat >>conftest.$ac_ext <<_ACEOF
     6209/* end confdefs.h.  */
     6210$ac_includes_default
     6211#include <$ac_header>
     6212_ACEOF
     6213rm -f conftest.$ac_objext
     6214if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     6215  (eval $ac_compile) 2>conftest.er1
     6216  ac_status=$?
     6217  grep -v '^ *+' conftest.er1 >conftest.err
     6218  rm -f conftest.er1
     6219  cat conftest.err >&5
     6220  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6221  (exit $ac_status); } &&
     6222         { ac_try='test -z "$ac_c_werror_flag"
     6223                         || test ! -s conftest.err'
     6224  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6225  (eval $ac_try) 2>&5
     6226  ac_status=$?
     6227  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6228  (exit $ac_status); }; } &&
     6229         { ac_try='test -s conftest.$ac_objext'
     6230  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6231  (eval $ac_try) 2>&5
     6232  ac_status=$?
     6233  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6234  (exit $ac_status); }; }; then
     6235  ac_header_compiler=yes
     6236else
     6237  echo "$as_me: failed program was:" >&5
     6238sed 's/^/| /' conftest.$ac_ext >&5
     6239
     6240ac_header_compiler=no
     6241fi
     6242rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     6243echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     6244echo "${ECHO_T}$ac_header_compiler" >&6
     6245
     6246# Is the header present?
     6247echo "$as_me:$LINENO: checking $ac_header presence" >&5
     6248echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     6249cat >conftest.$ac_ext <<_ACEOF
     6250/* confdefs.h.  */
     6251_ACEOF
     6252cat confdefs.h >>conftest.$ac_ext
     6253cat >>conftest.$ac_ext <<_ACEOF
     6254/* end confdefs.h.  */
     6255#include <$ac_header>
     6256_ACEOF
     6257if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     6258  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     6259  ac_status=$?
     6260  grep -v '^ *+' conftest.er1 >conftest.err
     6261  rm -f conftest.er1
     6262  cat conftest.err >&5
     6263  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6264  (exit $ac_status); } >/dev/null; then
     6265  if test -s conftest.err; then
     6266    ac_cpp_err=$ac_c_preproc_warn_flag
     6267    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     6268  else
     6269    ac_cpp_err=
     6270  fi
     6271else
     6272  ac_cpp_err=yes
     6273fi
     6274if test -z "$ac_cpp_err"; then
     6275  ac_header_preproc=yes
     6276else
     6277  echo "$as_me: failed program was:" >&5
     6278sed 's/^/| /' conftest.$ac_ext >&5
     6279
     6280  ac_header_preproc=no
     6281fi
     6282rm -f conftest.err conftest.$ac_ext
     6283echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     6284echo "${ECHO_T}$ac_header_preproc" >&6
     6285
     6286# So?  What about this header?
     6287case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
     6288  yes:no: )
     6289    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     6290echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     6291    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     6292echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     6293    ac_header_preproc=yes
     6294    ;;
     6295  no:yes:* )
     6296    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     6297echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     6298    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     6299echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     6300    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     6301echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     6302    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     6303echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     6304    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     6305echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     6306    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     6307echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     6308    (
     6309      cat <<\_ASBOX
     6310## ---------------------------------------------- ##
     6311## Report this to orxonox-dev at mail.datacore.ch ##
     6312## ---------------------------------------------- ##
     6313_ASBOX
     6314    ) |
     6315      sed "s/^/$as_me: WARNING:     /" >&2
     6316    ;;
     6317esac
     6318echo "$as_me:$LINENO: checking for $ac_header" >&5
     6319echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     6320if eval "test \"\${$as_ac_Header+set}\" = set"; then
     6321  echo $ECHO_N "(cached) $ECHO_C" >&6
     6322else
     6323  eval "$as_ac_Header=\$ac_header_preproc"
     6324fi
     6325echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     6326echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     6327
     6328fi
     6329if test `eval echo '${'$as_ac_Header'}'` = yes; then
     6330  cat >>confdefs.h <<_ACEOF
     6331#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     6332_ACEOF
     6333
     6334else
     6335  { { echo "$as_me:$LINENO: error: cannot find SDL_ttf header." >&5
     6336echo "$as_me: error: cannot find SDL_ttf header." >&2;}
     6337   { (exit 1); exit 1; }; }
     6338fi
     6339
     6340done
     6341
     6342#fi
     6343# checking for SDL_ttf-lib
     6344  echo "$as_me:$LINENO: checking for main in -lSDL_ttf" >&5
     6345echo $ECHO_N "checking for main in -lSDL_ttf... $ECHO_C" >&6
     6346if test "${ac_cv_lib_SDL_ttf_main+set}" = set; then
     6347  echo $ECHO_N "(cached) $ECHO_C" >&6
     6348else
     6349  ac_check_lib_save_LIBS=$LIBS
     6350LIBS="-lSDL_ttf  $LIBS"
     6351cat >conftest.$ac_ext <<_ACEOF
     6352/* confdefs.h.  */
     6353_ACEOF
     6354cat confdefs.h >>conftest.$ac_ext
     6355cat >>conftest.$ac_ext <<_ACEOF
     6356/* end confdefs.h.  */
     6357
     6358
     6359int
     6360main ()
     6361{
     6362main ();
     6363  ;
     6364  return 0;
     6365}
     6366_ACEOF
     6367rm -f conftest.$ac_objext conftest$ac_exeext
     6368if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     6369  (eval $ac_link) 2>conftest.er1
     6370  ac_status=$?
     6371  grep -v '^ *+' conftest.er1 >conftest.err
     6372  rm -f conftest.er1
     6373  cat conftest.err >&5
     6374  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6375  (exit $ac_status); } &&
     6376         { ac_try='test -z "$ac_c_werror_flag"
     6377                         || test ! -s conftest.err'
     6378  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6379  (eval $ac_try) 2>&5
     6380  ac_status=$?
     6381  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6382  (exit $ac_status); }; } &&
     6383         { ac_try='test -s conftest$ac_exeext'
     6384  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6385  (eval $ac_try) 2>&5
     6386  ac_status=$?
     6387  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6388  (exit $ac_status); }; }; then
     6389  ac_cv_lib_SDL_ttf_main=yes
     6390else
     6391  echo "$as_me: failed program was:" >&5
     6392sed 's/^/| /' conftest.$ac_ext >&5
     6393
     6394ac_cv_lib_SDL_ttf_main=no
     6395fi
     6396rm -f conftest.err conftest.$ac_objext \
     6397      conftest$ac_exeext conftest.$ac_ext
     6398LIBS=$ac_check_lib_save_LIBS
     6399fi
     6400echo "$as_me:$LINENO: result: $ac_cv_lib_SDL_ttf_main" >&5
     6401echo "${ECHO_T}$ac_cv_lib_SDL_ttf_main" >&6
     6402if test $ac_cv_lib_SDL_ttf_main = yes; then
     6403  FOUND_SDL_ttf=yes
     6404fi
     6405
     6406     if test x$FOUND_SDL_ttf = xyes ; then
     6407       LIBS="$LIBS -lSDL_ttf"
     6408     else
     6409        echo "------------------"
     6410        echo "SDL_ttf library not found."
     6411        echo "please install the SDL_ttf library, which can be found at http://www.libsdl.org/projects/SDL_ttf/"
     6412        echo "------------------"
     6413        exit -1
     6414     fi
     6415
    61826416#-----------#
    61836417# SDL_Image #
     
    61866420# checking for SDL_image-headers
    61876421
    6188 for ac_header in SDL/SDL_image.h
     6422for ac_header in SDL_image.h
    61896423do
    61906424as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
Note: See TracChangeset for help on using the changeset viewer.